
StocksAndFisheriesKB - Bug #18293

Traceability flag to be assigned only to Fishery records
Description

Interacting with SFP-FishSource and by cross-checking the FIRMS FSC11 meeting report and the GRFS requirements (see below),

the traceability flag should be added only to the Fishery records and not to assessment units.

At the moment, in the public GRSF VRE there are 1443 flags for traceability while they should be only for the fishing units.

Is it possible to double check the current criterion of assignment for such flag and follow-up accordingly?

FSC11 Report http://www.fao.org/3/ca5247en/ca5247en.pdf

Par.74 Stocks and Fisheries can be connected in the GRSF knowledge base, and the stocks can be flagged for SDG and

fisheries can be flagged for traceability purpose; and ....

GRSF Specifications

See UUID for traceability

https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_database_overview#UUID-for-traceability

UUID for traceability

FishSource requirement for traceability does not accept the relationship "one fishery to many stocks". A fishery can be flagged

for traceability only if linked to one specific stock (assessment unit).

When a unique relationship between a fishery and a stock (assessment unit) exists, there should be the possibility to

concatenate the fishery semantic identifier with the stock UUID. The GRSF Admin Management panel should give the option to

flag/un-flag the record for traceability purposes and add/remove link to a specific stock UUID.

All approved records in GRSF will have a UUID, and one or more possible dynamic IDs depending on the number of source

records associated to the GRSF record. The records with type "Fishing unit" are flagged in the GRSF knowledge base for

traceability (when the above requirement is fulfilled), as in this type all the relevant information is present. It appears from recent

discussions that the field Production System Type is not mandatory for traceability (see pending issue on Production System

Type).

Semantic identifiers do not have detailed indication on hierarchies. Records will be clustered together following the established

proximity rules to detect potentially overlapping records and/or monitoring evolution within the validation process. The GRSF will

be a flat list and any clustering will be possible through facilities offered in the interface (e.g. groups, tags, search).

History

#1 - Dec 17, 2019 01:57 PM - Yannis Marketakis

- Status changed from New to In Progress

I confirm that the rule for fishing units exists (if a fishery record is connected to >1 stock records) then traceability flag is set to false. 

As regards stock records, do you want me to completely remove traceability flags? 

#2 - Dec 17, 2019 02:42 PM - Aureliano Gentile

Yes, traceability flag can be added to fishing units not to assessment units (which somehow inherit the flag once they are connected to fishing units).

Also TWG3 on GRSF par.70 confirm the approach http://www.fao.org/3/CA1566EN/ca1566en.pdf

#3 - Dec 18, 2019 10:04 AM - Yannis Marketakis

I'm adding @francesco.mangiacrapa@isti.cnr.it  and @luca.frosini@isti.cnr.it  in the loop, since traceability_flag is a mandatory element. It seems that

we have to make it optional.

The new rule is that traceability_flag will be used only for Fishery records.

#4 - Feb 24, 2020 11:14 AM - Aureliano Gentile
Dear @francesco.mangiacrapa@isti.cnr.it and @luca.frosini@isti.cnr.it , any news on this? We are waiting for your kind follow-up.

As per Yannis' explanation (above) the traceability flag should be no longer mandatory for GRSF stocks.

#5 - Feb 28, 2020 12:05 PM - Francesco Mangiacrapa

Hi @aureliano.gentile@fao.org,

sorry for my late reply.

I and @luca.frosini@isti.cnr.it are both out of office for this week.

In order to implement the new requirement (traceability flag should be no longer mandatory for GRSF stocks) we need to update and then test the

GRSF Publisher Service (see at https://wiki.gcube-system.org/gcub/GCube_Data_Catalogue_for_GRSF#GRSF_Publication_Web_Service).

I don't know the activity plan of Luca and their priorities, however, we will schedule this activity asap from next week. 

#6 - Feb 28, 2020 12:42 PM - Aureliano Gentile

With thanks, looking forward to the implementation

#7 - Mar 04, 2020 12:45 PM - Luca Frosini

- Assignee changed from Yannis Marketakis to Luca Frosini

#8 - Mar 04, 2020 02:23 PM - Luca Frosini

- % Done changed from 0 to 30

#9 - Mar 04, 2020 02:34 PM - Luca Frosini

@roberto.cirillo@isti.cnr.it can you please update grsf-publisher-ws in preprod with version 1.11.0-SNAPSHOT

#10 - Mar 04, 2020 03:14 PM - Luca Frosini

I have created the patch to obtain the desired effect.

The patched version has no mandatory field 'traceability_flag' and has the following behaviour for stock:

if the field traceability_flag is not provided (in the JSON the client send to server), it does not raise any error see 

http://data-d.d4science.org/ctlg/NextNext/f0a3c335-1a7d-30e2-b906-df7ae9a33fd3;

If the field traceability_flag if provided is added to the record (as any other field) but the group "GRSF Traceability Flag" is not added to the

record see https://next.d4science.org/group/nextnext/catalogue?path=/dataset/f0a3c335-1a7d-30e2-b906-df7ae9a33fd6 (it is the same record

published using a different ID).

Did I correctly implemented the required behaviour?

#11 - Mar 04, 2020 03:15 PM - Luca Frosini

Luca Frosini wrote:

@roberto.cirillo@isti.cnr.it can you please update grsf-publisher-ws in preprod with version 1.11.0-SNAPSHOT

 Sorry @roberto.cirillo@isti.cnr.it it is not required at the moment. I'll ask you to deploy the final version on preprod for the tests of

@marketak@ics.forth.gr when ready.

#12 - Mar 04, 2020 03:15 PM - Luca Frosini

- Status changed from In Progress to Feedback

#13 - Mar 04, 2020 03:20 PM - Roberto Cirillo

Luca Frosini wrote:

Luca Frosini wrote:

@roberto.cirillo@isti.cnr.it can you please update grsf-publisher-ws in preprod with version 1.11.0-SNAPSHOT

 Sorry @roberto.cirillo@isti.cnr.it it is not required at the moment. I'll ask you to deploy the final version on preprod for the tests of

@marketak@ics.forth.gr when ready.

 @luca.frosini@isti.cnr.it no problem. Let me know when it's ready.

#14 - Mar 04, 2020 03:41 PM - Yannis Marketakis
Luca Frosini wrote:

I have created the patch to obtain the desired effect.

The patched version has no mandatory field 'traceability_flag' and has the following behaviour for stock:

if the field traceability_flag is not provided (in the JSON the client send to server), it does not raise any error see 

http://data-d.d4science.org/ctlg/NextNext/f0a3c335-1a7d-30e2-b906-df7ae9a33fd3;

If the field traceability_flag if provided is added to the record (as any other field) but the group "GRSF Traceability Flag" is not added to the

record see https://next.d4science.org/group/nextnext/catalogue?path=/dataset/f0a3c335-1a7d-30e2-b906-df7ae9a33fd6 (it is the same

record published using a different ID).

Did I correctly implemented the required behaviour?

 Yes that's correct.

#16 - Mar 04, 2020 04:00 PM - Luca Frosini

- Status changed from Feedback to In Progress

- % Done changed from 30 to 80

#17 - Mar 04, 2020 04:01 PM - Luca Frosini

@roberto.cirillo@isti.cnr.it the new version is available on the integration system see #18726.

Can we schedule the deployment of such a component in preprod to allow @marketak@ics.forth.gr to validate it?

#18 - Mar 04, 2020 04:02 PM - Luca Frosini

- Status changed from In Progress to Feedback

#19 - Mar 04, 2020 04:34 PM - Roberto Cirillo

Luca Frosini wrote:

@roberto.cirillo@isti.cnr.it the new version is available on the integration system see #18726.

Can we schedule the deployment of such a component in preprod to allow @marketak@ics.forth.gr to validate it?

 Of course. I'm going to add the component to the gCube release 4.21

#20 - Mar 04, 2020 05:46 PM - Roberto Cirillo

The new version has been deployed in preproduction.

#21 - Mar 04, 2020 05:48 PM - Luca Frosini

@marketak@ics.forth.gr the new version has been deployed in preproduction by @roberto.cirillo@isti.cnr.it, whom I thank for his work.

Can you please test it?

#22 - Mar 23, 2020 03:03 PM - Luca Frosini

@marketak@ics.forth.gr can you please check if it works properly so that we can deploy the new version in production?

#23 - Mar 24, 2020 08:51 AM - Yannis Marketakis

Thanks  @luca.frosini@isti.cnr.it

Yes've just tested it on dev and it works as expected (traceability flag is optional). The indicative published record is   

http://data-pre.d4science.org/ctlg/Dorne/e7ec022e-2d2d-33fa-b10c-8b809353c701

Let me know as soon as it is ready for production.

#24 - Mar 24, 2020 04:19 PM - Luca Frosini

- Status changed from Feedback to Closed

Thanks @marketak@ics.forth.gr 

#25 - Mar 25, 2020 02:56 PM - Luca Frosini
Hi @marketak@ics.forth.gr,

@roberto.cirillo@isti.cnr.it just upgraded the service in production.

#26 - Mar 26, 2020 08:23 AM - Yannis Marketakis

Thanks, 

I confirm it's working.

#27 - Mar 26, 2020 04:21 PM - Yannis Marketakis

- % Done changed from 80 to 100

In addition, I've updated all the GRSF stock records from GRSF Public VRE. Will do the same for Stocks in GRSF Admin VRE. I'm closing the issue.

Powered by TCPDF (www.tcpdf.org)

Apr 30, 2025 4/4

http://www.tcpdf.org

